## sendmail 8.12.11.Final-5

=== debian/Makefile ===
# Makefile.in generated by automake 1.8.3 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = /local/home/src/sendmail/sendmail-8.12.11/debian
top_srcdir = /local/home/src/sendmail/sendmail-8.12.11/debian
VPATH = /local/home/src/sendmail/sendmail-8.12.11/debian
pkgdatadir = $(datadir)/sendmail
pkglibdir = $(libdir)/sendmail
pkgincludedir = $(includedir)/sendmail
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i386-pc-linux-gnu
host_triplet = i386-pc-linux-gnu
target_triplet = i386-pc-linux-gnu
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in \
	$(top_srcdir)/./build/debian/libmilter-dev.dirs.in \
	$(top_srcdir)/./build/debian/libmilter-dev.postrm.in \
	$(top_srcdir)/./build/debian/libmilter-dev.preinst.in \
	$(top_srcdir)/./build/debian/rmail.dirs.in \
	$(top_srcdir)/./build/debian/rmail.preinst.in \
	$(top_srcdir)/./build/debian/sendmail-doc.dirs.in \
	$(top_srcdir)/./build/debian/sendmail-doc.postrm.in \
	$(top_srcdir)/./build/debian/sendmail-doc.preinst.in \
	$(top_srcdir)/./build/debian/sendmail.conffiles.in \
	$(top_srcdir)/./build/debian/sendmail.cron.daily.in \
	$(top_srcdir)/./build/debian/sendmail.dirs.in \
	$(top_srcdir)/./build/debian/sendmail.init.d.in \
	$(top_srcdir)/./build/debian/sendmail.links.in \
	$(top_srcdir)/./build/debian/sendmail.postinst.in \
	$(top_srcdir)/./build/debian/sendmail.postrm.in \
	$(top_srcdir)/./build/debian/sendmail.preinst.in \
	$(top_srcdir)/./build/debian/sendmail.prerm.in \
	$(top_srcdir)/./build/debian/sendmail.suid.in \
	$(top_srcdir)/./build/debian/sensible-mda.dirs.in \
	$(top_srcdir)/./build/debian/sensible-mda.preinst.in \
	$(top_srcdir)/build/autoconf.mk.in \
	$(top_srcdir)/build/autoconf.pl.in \
	$(top_srcdir)/build/autoconf.sh.in \
	$(top_srcdir)/build/changelog.sh.in \
	$(top_srcdir)/build/debian/control.m4.in \
	$(top_srcdir)/build/site.config.m4.in \
	$(top_srcdir)/build/update_chaos.in \
	$(top_srcdir)/cf/debian/autoconf.m4.in \
	$(top_srcdir)/cf/debian/sendmail.mc.in \
	$(top_srcdir)/cf/debian/submit.mc.in \
	$(top_srcdir)/cf/domain/debian-msp.m4.in \
	$(top_srcdir)/cf/domain/debian-mta.m4.in \
	$(top_srcdir)/cf/hack/debian_auth.m4.in \
	$(top_srcdir)/cf/hack/virthost_by_ip.m4.in \
	$(top_srcdir)/cf/ostype/debian.m4.in $(top_srcdir)/configure \
	$(top_srcdir)/examples/sasl/sasl.m4.in \
	$(top_srcdir)/examples/tls/starttls.m4.in ./build/config.guess \
	./build/config.sub ./build/depcomp ./build/install-sh \
	./build/missing ./build/mkinstalldirs AUTHORS COPYING \
	ChangeLog INSTALL NEWS TODO
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/./build/mkinstalldirs
CONFIG_CLEAN_FILES = build/autoconf.mk build/autoconf.pl \
	build/autoconf.sh build/changelog.sh build/update_chaos \
	build/site.config.m4 build/debian/control.m4 \
	libmilter-dev.dirs libmilter-dev.postrm libmilter-dev.preinst \
	rmail.dirs rmail.preinst sendmail-doc.dirs sendmail-doc.postrm \
	sendmail-doc.preinst sendmail.conffiles sendmail.cron.daily \
	sendmail.dirs sendmail.init.d sendmail.links sendmail.postinst \
	sendmail.postrm sendmail.preinst sendmail.prerm sendmail.suid \
	sensible-mda.dirs sensible-mda.preinst cf/debian/autoconf.m4 \
	cf/debian/sendmail.mc cf/debian/submit.mc \
	cf/domain/debian-msp.m4 cf/domain/debian-mta.m4 \
	cf/hack/debian_auth.m4 cf/hack/virthost_by_ip.m4 \
	cf/ostype/debian.m4 examples/sasl/sasl.m4 \
	examples/tls/starttls.m4
SOURCES =
DIST_SOURCES =
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run tar
AUTOCONF = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run autoconf
AUTOHEADER = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run autoheader
AUTOMAKE = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run automake-1.8
AWK = gawk
CC = i386-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = i386-linux-gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEBIAN = yes
DEBIAN_DH = 4.1
DEB_BUILD_ARCH = i386
DEB_BUILD_GNU_CPU = i386
DEB_BUILD_GNU_SYSTEM = linux
DEB_BUILD_GNU_TYPE = i386-linux
DEB_HOST_ARCH = i386
DEB_HOST_GNU_CPU = i386
DEB_HOST_GNU_SYSTEM = linux
DEB_HOST_GNU_TYPE = i386-linux
DEFS = -DPACKAGE_NAME=\"Sendmail\" -DPACKAGE_TARNAME=\"sendmail\" -DPACKAGE_VERSION=\"8.12.11\" -DPACKAGE_STRING=\"Sendmail\ 8.12.11\" -DPACKAGE_BUGREPORT=\"bug/reportbug\ or\ sendmail@packages.debian.org\" -DPACKAGE=\"sendmail\" -DVERSION=\"8.12.11\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_REGEX_H=1 -DHAVE_DB_H=1 -DHAVE_DB_185_H=1 -DHAVE_RPCSVC_YPCLNT_H=1 -DHAVE_RPCSVC_NIS_H=1 -DHAVE_LDAP_H=1 -DHAVE_RESOLV_H=1 -DHAVE_TCPD_H=1 -DHAVE_NETINET_IP6_H=1 -DHAVE_GETADDRINFO=1 -DHAVE_MAILLOCK_H=1 -DHAVE_SASL_SASL_H=1 -DHAVE_OPENSSL_SSL_H=1 
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run makeinfo
OBJEXT = o
PACKAGE = sendmail
PACKAGE_BUGREPORT = bug/reportbug or sendmail@packages.debian.org
PACKAGE_NAME = Sendmail
PACKAGE_STRING = Sendmail 8.12.11
PACKAGE_TARNAME = sendmail
PACKAGE_VERSION = 8.12.11
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
SM_CPYRT = 2003
SM_DATE = 2003-12-17 10:00:00
SM_ENABLE_AUTH_FALSE = #
SM_ENABLE_AUTH_TRUE = 
SM_ENABLE_LDAP_FALSE = #
SM_ENABLE_LDAP_TRUE = 
SM_ENABLE_TLS_FALSE = #
SM_ENABLE_TLS_TRUE = 
SM_MAXVERS = 9.0.0
SM_MINVERS = 8.7.6
SM_VERS = 8.12.11
STRIP = 
VERSION = 8.12.11
ac_ct_CC = 
ac_ct_STRIP = 
ac_version = 2.59
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am_version = 1.8
bindir = /usr/bin
build = i386-pc-linux-gnu
build_alias = i386-linux
build_cpu = i386
build_os = linux-gnu
build_vendor = pc
buildtree = build-tree/sendmail-8.12.11
datadir = /usr/share
docdir = /usr/share/doc
exec_prefix = /usr
host = i386-pc-linux-gnu
host_alias = i386-linux
host_cpu = i386
host_os = linux-gnu
host_vendor = pc
includedir = /usr/include
infodir = /usr/share/info
install_sh = /local/home/src/sendmail/sendmail-8.12.11/debian/build/install-sh
libdir = /usr/lib
libexecdir = /usr/lib/sm.bin
localstatedir = /var
mandir = /usr/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = /usr/sbin
sharedstatedir = /usr/com
sm_auth_lib = 2
sm_badepends = , libdb4.2-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
sm_build_arch = i386
sm_databases = REGEX, DB, NIS, NIS+, LDAP, DNS
sm_date = 2004-04-22
sm_depends = , ${misc:Depends}
sm_dist_name = Debian
sm_dist_vers = testing/unstable
sm_editmap_envdef = 
sm_editmap_libs =  -ldb-4.2 -lldap -llber
sm_enable_auth = yes
sm_enable_bind = no
sm_enable_dev = yes
sm_enable_doc = yes
sm_enable_hesiod = no
sm_enable_ipv6 = yes
sm_enable_ldap = yes
sm_enable_maillock = yes
sm_enable_milter = yes
sm_enable_ndbm = no
sm_enable_newdb = yes
sm_enable_nis = yes
sm_enable_nisplus = yes
sm_enable_regex = yes
sm_enable_sfio = no
sm_enable_shm = yes
sm_enable_tcpd = yes
sm_enable_tls = yes
sm_envdef =  -DHASFCHMOD=1 -DHASSETRLIMIT=1 -DHASFLOCK=0 -DUSESETEUID=1 -DHASGETUSERSHELL=1 -DSM_CONF_SETITIMER=0 -DNETINET6
sm_features = TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL)
sm_ffr =  -D_FFR_QUEUE_SCHED_DBG -D_FFR_MAX_FORWARD_ENTRIES=1 -D_FFR_QUEUEDELAY=1 -D_FFR_CONTROL_MSTAT -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_NO_PIPE -D_FFR_QUARANTINE -D_FFR_DEAL_WITH_ERROR_SSL -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1
sm_hesiod_parms = 
sm_host_arch = i386
sm_incdirs =  
sm_ldap_lib = -lldap -llber
sm_libmilter_envdef = -fPIC -D_FFR_MULTILINE -D_FFR_MILTER_ROOT_UNSAFE -D_FFR_SMFI_PROGRESS
sm_libmilter_libs = 
sm_libs = 
sm_libsm_envdef = -fPIC -DHAVE_NANOSLEEP=1 -DSM_HEAP_CHECK=1 -D_LDAP_EXAMPLE_ -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION -DSM_CONF_LDAP_MEMFREE
sm_libsm_libs =  -lldap -llber
sm_libsmdb_envdef = 
sm_libsmdb_libs = 
sm_libsmutil_envdef = -fPIC
sm_libsmutil_libs = 
sm_m4_ffr =  define(`_FFR_MAIL_MACRO')
sm_mail_local_envdef =  -DCONTENTLENGTH -DMAILLOCK
sm_mail_local_libs =  -lldap -llber -llockfile
sm_mailstats_envdef =  -D_FFR_QUARANTINE
sm_mailstats_libs =  -lldap -llber
sm_makemap_envdef = 
sm_makemap_libs =  -ldb-4.2 -lldap -llber
sm_mapdef =  -DMAP_REGEX -DNEWDB -DNIS -DNISPLUS -DLDAPMAP
sm_newdb_lib = -ldb-4.2
sm_praliases_envdef = 
sm_praliases_libs =  -ldb-4.2 -lldap -llber
sm_recommends = 
sm_revision = -5
sm_rmail_envdef = 
sm_rmail_libs =  -lldap -llber
sm_sendmail_envdef =  -D_PATH_SENDMAILPID=\"/var/run/sendmail/mta/sendmail.pid\" -DIP_SRCROUTE=1 -DMILTER -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION  -DTCPWRAPPERS -DSASL -I/usr/include/sasl -DSTARTTLS  -D_FFR_QUEUE_SCHED_DBG -D_FFR_MAX_FORWARD_ENTRIES=1 -D_FFR_QUEUEDELAY=1 -D_FFR_CONTROL_MSTAT -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_NO_PIPE -D_FFR_QUARANTINE -D_FFR_DEAL_WITH_ERROR_SSL -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1
sm_sendmail_libs =  -ldb-4.2 -lnsl -lldap -llber -lresolv -lwrap -lsasl2 -lcrypto -lssl
sm_smrsh_envdef =  -DCMDDIR=\"/etc/mail/smrsh\" -DPATH=\"/usr/bin:/bin\"
sm_smrsh_libs =  -lldap -llber
sm_suggests = , logrotate, sasl2-bin, libsasl2-modules | libsasl2-modules-plain | libsasl2-digestmd5-plain | libsasl2-digestmd5-des, openssl
sm_time = 15:39:33
sm_utc = -0400
sm_vacation_envdef =  -D_FFR_RETURN_ADDR
sm_vacation_libs =  -ldb-4.2 -lldap -llber
sm_version = 8.12.11
sm_version_beta = 
sm_version_major = 8.12
sm_version_math = 527371
sm_version_minor = 11
sm_version_r = 12
sm_version_v = 8
sysconfdir = /etc
target = i386-pc-linux-gnu
target_alias = 
target_cpu = i386
target_os = linux-gnu
target_vendor = pc

#
# AutoMake
#

=== debian/examples/Makefile ===
# Makefile.in generated by automake 1.8.3 from Makefile.am.
# examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /local/home/src/sendmail/sendmail-8.12.11/debian/examples
top_srcdir = /local/home/src/sendmail/sendmail-8.12.11/debian
VPATH = /local/home/src/sendmail/sendmail-8.12.11/debian/examples
pkgdatadir = $(datadir)/sendmail
pkglibdir = $(libdir)/sendmail
pkgincludedir = $(includedir)/sendmail
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i386-pc-linux-gnu
host_triplet = i386-pc-linux-gnu
target_triplet = i386-pc-linux-gnu
subdir = examples
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/./build/mkinstalldirs
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__installdirs = "$(DESTDIR)$(sysconfdir)"
nobase_sysconfDATA_INSTALL = $(install_sh_DATA)
DATA = $(nobase_sysconf_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run tar
AUTOCONF = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run autoconf
AUTOHEADER = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run autoheader
AUTOMAKE = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run automake-1.8
AWK = gawk
CC = i386-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = i386-linux-gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEBIAN = yes
DEBIAN_DH = 4.1
DEB_BUILD_ARCH = i386
DEB_BUILD_GNU_CPU = i386
DEB_BUILD_GNU_SYSTEM = linux
DEB_BUILD_GNU_TYPE = i386-linux
DEB_HOST_ARCH = i386
DEB_HOST_GNU_CPU = i386
DEB_HOST_GNU_SYSTEM = linux
DEB_HOST_GNU_TYPE = i386-linux
DEFS = -DPACKAGE_NAME=\"Sendmail\" -DPACKAGE_TARNAME=\"sendmail\" -DPACKAGE_VERSION=\"8.12.11\" -DPACKAGE_STRING=\"Sendmail\ 8.12.11\" -DPACKAGE_BUGREPORT=\"bug/reportbug\ or\ sendmail@packages.debian.org\" -DPACKAGE=\"sendmail\" -DVERSION=\"8.12.11\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_REGEX_H=1 -DHAVE_DB_H=1 -DHAVE_DB_185_H=1 -DHAVE_RPCSVC_YPCLNT_H=1 -DHAVE_RPCSVC_NIS_H=1 -DHAVE_LDAP_H=1 -DHAVE_RESOLV_H=1 -DHAVE_TCPD_H=1 -DHAVE_NETINET_IP6_H=1 -DHAVE_GETADDRINFO=1 -DHAVE_MAILLOCK_H=1 -DHAVE_SASL_SASL_H=1 -DHAVE_OPENSSL_SSL_H=1 
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run makeinfo
OBJEXT = o
PACKAGE = sendmail
PACKAGE_BUGREPORT = bug/reportbug or sendmail@packages.debian.org
PACKAGE_NAME = Sendmail
PACKAGE_STRING = Sendmail 8.12.11
PACKAGE_TARNAME = sendmail
PACKAGE_VERSION = 8.12.11
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
SM_CPYRT = 2003
SM_DATE = 2003-12-17 10:00:00
SM_ENABLE_AUTH_FALSE = #
SM_ENABLE_AUTH_TRUE = 
SM_ENABLE_LDAP_FALSE = #
SM_ENABLE_LDAP_TRUE = 
SM_ENABLE_TLS_FALSE = #
SM_ENABLE_TLS_TRUE = 
SM_MAXVERS = 9.0.0
SM_MINVERS = 8.7.6
SM_VERS = 8.12.11
STRIP = 
VERSION = 8.12.11
ac_ct_CC = 
ac_ct_STRIP = 
ac_version = 2.59
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am_version = 1.8
bindir = /usr/bin
build = i386-pc-linux-gnu
build_alias = i386-linux
build_cpu = i386
build_os = linux-gnu
build_vendor = pc
buildtree = build-tree/sendmail-8.12.11
datadir = /usr/share
docdir = /usr/share/doc
exec_prefix = /usr
host = i386-pc-linux-gnu
host_alias = i386-linux
host_cpu = i386
host_os = linux-gnu
host_vendor = pc
includedir = /usr/include
infodir = /usr/share/info
install_sh = /local/home/src/sendmail/sendmail-8.12.11/debian/build/install-sh
libdir = /usr/lib
libexecdir = /usr/lib/sm.bin
localstatedir = /var
mandir = /usr/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = /usr/sbin
sharedstatedir = /usr/com
sm_auth_lib = 2
sm_badepends = , libdb4.2-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
sm_build_arch = i386
sm_databases = REGEX, DB, NIS, NIS+, LDAP, DNS
sm_date = 2004-04-22
sm_depends = , ${misc:Depends}
sm_dist_name = Debian
sm_dist_vers = testing/unstable
sm_editmap_envdef = 
sm_editmap_libs =  -ldb-4.2 -lldap -llber
sm_enable_auth = yes
sm_enable_bind = no
sm_enable_dev = yes
sm_enable_doc = yes
sm_enable_hesiod = no
sm_enable_ipv6 = yes
sm_enable_ldap = yes
sm_enable_maillock = yes
sm_enable_milter = yes
sm_enable_ndbm = no
sm_enable_newdb = yes
sm_enable_nis = yes
sm_enable_nisplus = yes
sm_enable_regex = yes
sm_enable_sfio = no
sm_enable_shm = yes
sm_enable_tcpd = yes
sm_enable_tls = yes
sm_envdef =  -DHASFCHMOD=1 -DHASSETRLIMIT=1 -DHASFLOCK=0 -DUSESETEUID=1 -DHASGETUSERSHELL=1 -DSM_CONF_SETITIMER=0 -DNETINET6
sm_features = TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL)
sm_ffr =  -D_FFR_QUEUE_SCHED_DBG -D_FFR_MAX_FORWARD_ENTRIES=1 -D_FFR_QUEUEDELAY=1 -D_FFR_CONTROL_MSTAT -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_NO_PIPE -D_FFR_QUARANTINE -D_FFR_DEAL_WITH_ERROR_SSL -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1
sm_hesiod_parms = 
sm_host_arch = i386
sm_incdirs =  
sm_ldap_lib = -lldap -llber
sm_libmilter_envdef = -fPIC -D_FFR_MULTILINE -D_FFR_MILTER_ROOT_UNSAFE -D_FFR_SMFI_PROGRESS
sm_libmilter_libs = 
sm_libs = 
sm_libsm_envdef = -fPIC -DHAVE_NANOSLEEP=1 -DSM_HEAP_CHECK=1 -D_LDAP_EXAMPLE_ -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION -DSM_CONF_LDAP_MEMFREE
sm_libsm_libs =  -lldap -llber
sm_libsmdb_envdef = 
sm_libsmdb_libs = 
sm_libsmutil_envdef = -fPIC
sm_libsmutil_libs = 
sm_m4_ffr =  define(`_FFR_MAIL_MACRO')
sm_mail_local_envdef =  -DCONTENTLENGTH -DMAILLOCK
sm_mail_local_libs =  -lldap -llber -llockfile
sm_mailstats_envdef =  -D_FFR_QUARANTINE
sm_mailstats_libs =  -lldap -llber
sm_makemap_envdef = 
sm_makemap_libs =  -ldb-4.2 -lldap -llber
sm_mapdef =  -DMAP_REGEX -DNEWDB -DNIS -DNISPLUS -DLDAPMAP
sm_newdb_lib = -ldb-4.2
sm_praliases_envdef = 
sm_praliases_libs =  -ldb-4.2 -lldap -llber
sm_recommends = 
sm_revision = -5
sm_rmail_envdef = 
sm_rmail_libs =  -lldap -llber
sm_sendmail_envdef =  -D_PATH_SENDMAILPID=\"/var/run/sendmail/mta/sendmail.pid\" -DIP_SRCROUTE=1 -DMILTER -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION  -DTCPWRAPPERS -DSASL -I/usr/include/sasl -DSTARTTLS  -D_FFR_QUEUE_SCHED_DBG -D_FFR_MAX_FORWARD_ENTRIES=1 -D_FFR_QUEUEDELAY=1 -D_FFR_CONTROL_MSTAT -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_NO_PIPE -D_FFR_QUARANTINE -D_FFR_DEAL_WITH_ERROR_SSL -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1
sm_sendmail_libs =  -ldb-4.2 -lnsl -lldap -llber -lresolv -lwrap -lsasl2 -lcrypto -lssl
sm_smrsh_envdef =  -DCMDDIR=\"/etc/mail/smrsh\" -DPATH=\"/usr/bin:/bin\"
sm_smrsh_libs =  -lldap -llber
sm_suggests = , logrotate, sasl2-bin, libsasl2-modules | libsasl2-modules-plain | libsasl2-digestmd5-plain | libsasl2-digestmd5-des, openssl
sm_time = 15:39:33
sm_utc = -0400
sm_vacation_envdef =  -D_FFR_RETURN_ADDR
sm_vacation_libs =  -ldb-4.2 -lldap -llber
sm_version = 8.12.11
sm_version_beta = 
sm_version_major = 8.12
sm_version_math = 527371
sm_version_minor = 11
sm_version_r = 12
sm_version_v = 8
sysconfdir = /etc
target = i386-pc-linux-gnu
target_alias = 
target_cpu = i386
target_os = linux-gnu
target_vendor = pc

#!/usr/bin/make -f
#------------------------------------------------------------------------------
# vim: syntax=make
#
# $Sendmail: Makefile,v 8.12.11 2004-04-22 15:39:33 cowboy Exp $
#
# Copyright (c) 1998-2003 Richard Nelson.  All Rights Reserved.
#
# examples/Makefile.  Generated from Makefile.in by configure.
#
# Rules file for Sendmail 8.12.11-5(527371)
#			 on  Debian testing/unstable
#			 via Debhelper V4.1
#
# Note: the .in file supports Sendmail 8.7.6 - 9.0.0
#		on Debian slink, potato, woody, testing, sid, ...
#		but the generated file is customized to the version noted above.
#
# Richard Nelson <cowboy@debian.org> 2004-04-22 15:39:33 (-0400)
#------------------------------------------------------------------------------
#
# Shipped data
#
# Installed example subdirectories
EXAMPLES_DIRS = amavis db ldap logcheck milter pam.d ppp sasl tls
#
# Sigh... I wanted to use sysconf_SCRIPTS, but automake says NO!
nobase_sysconf_DATA = \
	ppp/ip-down.d/sendmail \
	ppp/ip-up.d/sendmail \
\
	logcheck/ignore.d.paranoid/sendmail \
	logcheck/ignore.d.server/sendmail \
	logcheck/ignore.d.workstation/sendmail \
	logcheck/violations.ignore.d/standard.sendmail \
	logcheck/violations.ignore.d/logcheck-sendmail\
\
	pam.d/smtp

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  examples/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
uninstall-info-am:
install-nobase_sysconfDATA: $(nobase_sysconf_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(sysconfdir)" || $(mkdir_p) "$(DESTDIR)$(sysconfdir)"
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	list='$(nobase_sysconf_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  case $$p in \
	    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
	    *) f=$$p;; \
	  esac; \
	  echo " $(nobase_sysconfDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(sysconfdir)/$$f'"; \
	  $(nobase_sysconfDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(sysconfdir)/$$f"; \
	done

uninstall-nobase_sysconfDATA:
	@$(NORMAL_UNINSTALL)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \

=== debian/local/Makefile ===
# Makefile.in generated by automake 1.8.3 from Makefile.am.
# local/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




srcdir = /local/home/src/sendmail/sendmail-8.12.11/debian/local
top_srcdir = /local/home/src/sendmail/sendmail-8.12.11/debian
VPATH = /local/home/src/sendmail/sendmail-8.12.11/debian/local
pkgdatadir = $(datadir)/sendmail
pkglibdir = $(libdir)/sendmail
pkgincludedir = $(includedir)/sendmail
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i386-pc-linux-gnu
host_triplet = i386-pc-linux-gnu
target_triplet = i386-pc-linux-gnu
am__append_1 = update_auth
am__append_2 = update_ldap
am__append_3 = update_tls
subdir = local
DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/Parse_mc.pm.in \
	$(srcdir)/parse_mc.in $(srcdir)/sendmail.in \
	$(srcdir)/sendmailconfig.in $(srcdir)/update_auth.in \
	$(srcdir)/update_conf.in $(srcdir)/update_db.in \
	$(srcdir)/update_ldap.in $(srcdir)/update_mc.in \
	$(srcdir)/update_mk.in $(srcdir)/update_smrsh.in \
	$(srcdir)/update_sys.in $(srcdir)/update_tls.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/./build/mkinstalldirs
CONFIG_CLEAN_FILES = Parse_mc.pm parse_mc sendmailconfig sendmail \
	update_auth update_conf update_db update_ldap update_mc \
	update_mk update_smrsh update_sys update_tls
am__installdirs = "$(DESTDIR)$(pkgdatadir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(sysconfdir)"
pkgdataSCRIPT_INSTALL = $(INSTALL_SCRIPT)
sbinSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(pkgdata_SCRIPTS) $(sbin_SCRIPTS)
SOURCES =
DIST_SOURCES =
man8dir = $(mandir)/man8
NROFF = nroff
MANS = $(dist_man_MANS)
nobase_sysconfDATA_INSTALL = $(install_sh_DATA)
DATA = $(nobase_sysconf_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run tar
AUTOCONF = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run autoconf
AUTOHEADER = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run autoheader
AUTOMAKE = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run automake-1.8
AWK = gawk
CC = i386-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = i386-linux-gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEBIAN = yes
DEBIAN_DH = 4.1
DEB_BUILD_ARCH = i386
DEB_BUILD_GNU_CPU = i386
DEB_BUILD_GNU_SYSTEM = linux
DEB_BUILD_GNU_TYPE = i386-linux
DEB_HOST_ARCH = i386
DEB_HOST_GNU_CPU = i386
DEB_HOST_GNU_SYSTEM = linux
DEB_HOST_GNU_TYPE = i386-linux
DEFS = -DPACKAGE_NAME=\"Sendmail\" -DPACKAGE_TARNAME=\"sendmail\" -DPACKAGE_VERSION=\"8.12.11\" -DPACKAGE_STRING=\"Sendmail\ 8.12.11\" -DPACKAGE_BUGREPORT=\"bug/reportbug\ or\ sendmail@packages.debian.org\" -DPACKAGE=\"sendmail\" -DVERSION=\"8.12.11\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_REGEX_H=1 -DHAVE_DB_H=1 -DHAVE_DB_185_H=1 -DHAVE_RPCSVC_YPCLNT_H=1 -DHAVE_RPCSVC_NIS_H=1 -DHAVE_LDAP_H=1 -DHAVE_RESOLV_H=1 -DHAVE_TCPD_H=1 -DHAVE_NETINET_IP6_H=1 -DHAVE_GETADDRINFO=1 -DHAVE_MAILLOCK_H=1 -DHAVE_SASL_SASL_H=1 -DHAVE_OPENSSL_SSL_H=1 
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run makeinfo
OBJEXT = o
PACKAGE = sendmail
PACKAGE_BUGREPORT = bug/reportbug or sendmail@packages.debian.org
PACKAGE_NAME = Sendmail
PACKAGE_STRING = Sendmail 8.12.11
PACKAGE_TARNAME = sendmail
PACKAGE_VERSION = 8.12.11
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
SM_CPYRT = 2003
SM_DATE = 2003-12-17 10:00:00
SM_ENABLE_AUTH_FALSE = #
SM_ENABLE_AUTH_TRUE = 
SM_ENABLE_LDAP_FALSE = #
SM_ENABLE_LDAP_TRUE = 
SM_ENABLE_TLS_FALSE = #
SM_ENABLE_TLS_TRUE = 
SM_MAXVERS = 9.0.0
SM_MINVERS = 8.7.6
SM_VERS = 8.12.11
STRIP = 
VERSION = 8.12.11
ac_ct_CC = 
ac_ct_STRIP = 
ac_version = 2.59
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am_version = 1.8
bindir = /usr/bin
build = i386-pc-linux-gnu
build_alias = i386-linux
build_cpu = i386
build_os = linux-gnu
build_vendor = pc
buildtree = build-tree/sendmail-8.12.11
datadir = /usr/share
docdir = /usr/share/doc
exec_prefix = /usr
host = i386-pc-linux-gnu
host_alias = i386-linux
host_cpu = i386
host_os = linux-gnu
host_vendor = pc
includedir = /usr/include
infodir = /usr/share/info
install_sh = /local/home/src/sendmail/sendmail-8.12.11/debian/build/install-sh
libdir = /usr/lib
libexecdir = /usr/lib/sm.bin
localstatedir = /var
mandir = /usr/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = /usr/sbin
sharedstatedir = /usr/com
sm_auth_lib = 2
sm_badepends = , libdb4.2-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
sm_build_arch = i386
sm_databases = REGEX, DB, NIS, NIS+, LDAP, DNS
sm_date = 2004-04-22
sm_depends = , ${misc:Depends}
sm_dist_name = Debian
sm_dist_vers = testing/unstable
sm_editmap_envdef = 
sm_editmap_libs =  -ldb-4.2 -lldap -llber
sm_enable_auth = yes
sm_enable_bind = no
sm_enable_dev = yes
sm_enable_doc = yes
sm_enable_hesiod = no
sm_enable_ipv6 = yes
sm_enable_ldap = yes
sm_enable_maillock = yes
sm_enable_milter = yes
sm_enable_ndbm = no
sm_enable_newdb = yes
sm_enable_nis = yes
sm_enable_nisplus = yes
sm_enable_regex = yes
sm_enable_sfio = no
sm_enable_shm = yes
sm_enable_tcpd = yes
sm_enable_tls = yes
sm_envdef =  -DHASFCHMOD=1 -DHASSETRLIMIT=1 -DHASFLOCK=0 -DUSESETEUID=1 -DHASGETUSERSHELL=1 -DSM_CONF_SETITIMER=0 -DNETINET6
sm_features = TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL)
sm_ffr =  -D_FFR_QUEUE_SCHED_DBG -D_FFR_MAX_FORWARD_ENTRIES=1 -D_FFR_QUEUEDELAY=1 -D_FFR_CONTROL_MSTAT -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_NO_PIPE -D_FFR_QUARANTINE -D_FFR_DEAL_WITH_ERROR_SSL -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1
sm_hesiod_parms = 
sm_host_arch = i386
sm_incdirs =  
sm_ldap_lib = -lldap -llber
sm_libmilter_envdef = -fPIC -D_FFR_MULTILINE -D_FFR_MILTER_ROOT_UNSAFE -D_FFR_SMFI_PROGRESS
sm_libmilter_libs = 
sm_libs = 
sm_libsm_envdef = -fPIC -DHAVE_NANOSLEEP=1 -DSM_HEAP_CHECK=1 -D_LDAP_EXAMPLE_ -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION -DSM_CONF_LDAP_MEMFREE
sm_libsm_libs =  -lldap -llber
sm_libsmdb_envdef = 
sm_libsmdb_libs = 
sm_libsmutil_envdef = -fPIC
sm_libsmutil_libs = 
sm_m4_ffr =  define(`_FFR_MAIL_MACRO')
sm_mail_local_envdef =  -DCONTENTLENGTH -DMAILLOCK
sm_mail_local_libs =  -lldap -llber -llockfile
sm_mailstats_envdef =  -D_FFR_QUARANTINE
sm_mailstats_libs =  -lldap -llber
sm_makemap_envdef = 
sm_makemap_libs =  -ldb-4.2 -lldap -llber
sm_mapdef =  -DMAP_REGEX -DNEWDB -DNIS -DNISPLUS -DLDAPMAP
sm_newdb_lib = -ldb-4.2
sm_praliases_envdef = 
sm_praliases_libs =  -ldb-4.2 -lldap -llber
sm_recommends = 
sm_revision = -5
sm_rmail_envdef = 
sm_rmail_libs =  -lldap -llber
sm_sendmail_envdef =  -D_PATH_SENDMAILPID=\"/var/run/sendmail/mta/sendmail.pid\" -DIP_SRCROUTE=1 -DMILTER -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION  -DTCPWRAPPERS -DSASL -I/usr/include/sasl -DSTARTTLS  -D_FFR_QUEUE_SCHED_DBG -D_FFR_MAX_FORWARD_ENTRIES=1 -D_FFR_QUEUEDELAY=1 -D_FFR_CONTROL_MSTAT -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_NO_PIPE -D_FFR_QUARANTINE -D_FFR_DEAL_WITH_ERROR_SSL -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1
sm_sendmail_libs =  -ldb-4.2 -lnsl -lldap -llber -lresolv -lwrap -lsasl2 -lcrypto -lssl
sm_smrsh_envdef =  -DCMDDIR=\"/etc/mail/smrsh\" -DPATH=\"/usr/bin:/bin\"
sm_smrsh_libs =  -lldap -llber
sm_suggests = , logrotate, sasl2-bin, libsasl2-modules | libsasl2-modules-plain | libsasl2-digestmd5-plain | libsasl2-digestmd5-des, openssl
sm_time = 15:39:33
sm_utc = -0400
sm_vacation_envdef =  -D_FFR_RETURN_ADDR
sm_vacation_libs =  -ldb-4.2 -lldap -llber
sm_version = 8.12.11
sm_version_beta = 
sm_version_major = 8.12
sm_version_math = 527371
sm_version_minor = 11
sm_version_r = 12
sm_version_v = 8
sysconfdir = /etc
target = i386-pc-linux-gnu
target_alias = 
target_cpu = i386
target_os = linux-gnu
target_vendor = pc

#!/usr/bin/make -f
#------------------------------------------------------------------------------
# vim: syntax=make
#
# $Sendmail: Makefile,v 8.12.11 2004-04-22 15:39:33 cowboy Exp $
#
# Copyright (c) 1998-2003 Richard Nelson.  All Rights Reserved.
#
# local/Makefile.  Generated from Makefile.in by configure.
#
# Rules file for Sendmail 8.12.11-5(527371)
#			 on  Debian testing/unstable
#			 via Debhelper V4.1
#
# Note: the .in file supports Sendmail 8.7.6 - 9.0.0
#		on Debian slink, potato, woody, testing, sid, ...
#		but the generated file is customized to the version noted above.
#
# Richard Nelson <cowboy@debian.org> 2004-04-22 15:39:33 (-0400)
#------------------------------------------------------------------------------
#
# Shipped programs
#
pkgdata_SCRIPTS = \
	Parse_mc.pm \
    parse_mc \
    sendmail \
    update_conf \
    update_db \
    update_mc \
    update_mk \
    update_notices \
    update_sendmail \
    update_smrsh \
    update_sys \
    update_tcpd \
$(am__append_1) $(am__append_2) $(am__append_3)
sbin_SCRIPTS = \
	sendmailconfig

#
# Shipped manpages
#
dist_man_MANS = \
	runq.8 \
	sendmailconfig.8

#
# Shipped data
#
nobase_sysconf_DATA = \
	mail/service.switch \
	mail/service.switch-nodns \
	mail/peers/provider

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  local/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  local/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)

=== debian/sensible_mda/Makefile ===
# Makefile.in generated by automake 1.8.3 from Makefile.am.
# sensible_mda/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(sensible_mda_SOURCES)

srcdir = /local/home/src/sendmail/sendmail-8.12.11/debian/sensible_mda
top_srcdir = /local/home/src/sendmail/sendmail-8.12.11/debian
VPATH = /local/home/src/sendmail/sendmail-8.12.11/debian/sensible_mda
pkgdatadir = $(datadir)/sendmail
pkglibdir = $(libdir)/sendmail
pkgincludedir = $(includedir)/sendmail
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i386-pc-linux-gnu
host_triplet = i386-pc-linux-gnu
target_triplet = i386-pc-linux-gnu
sbin_PROGRAMS = sensible-mda$(EXEEXT)
subdir = sensible_mda
DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/sensible-mda.c.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/./build/mkinstalldirs
CONFIG_CLEAN_FILES = sensible-mda.c
am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(sbin_PROGRAMS)
am_sensible_mda_OBJECTS = sensible-mda.$(OBJEXT)
sensible_mda_OBJECTS = $(am_sensible_mda_OBJECTS)
sensible_mda_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/./build/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/sensible-mda.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(sensible_mda_SOURCES)
DIST_SOURCES = $(sensible_mda_SOURCES)
man8dir = $(mandir)/man8
NROFF = nroff
MANS = $(dist_man_MANS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run tar
AUTOCONF = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run autoconf
AUTOHEADER = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run autoheader
AUTOMAKE = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run automake-1.8
AWK = gawk
CC = i386-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = i386-linux-gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEBIAN = yes
DEBIAN_DH = 4.1
DEB_BUILD_ARCH = i386
DEB_BUILD_GNU_CPU = i386
DEB_BUILD_GNU_SYSTEM = linux
DEB_BUILD_GNU_TYPE = i386-linux
DEB_HOST_ARCH = i386
DEB_HOST_GNU_CPU = i386
DEB_HOST_GNU_SYSTEM = linux
DEB_HOST_GNU_TYPE = i386-linux
DEFS = -DPACKAGE_NAME=\"Sendmail\" -DPACKAGE_TARNAME=\"sendmail\" -DPACKAGE_VERSION=\"8.12.11\" -DPACKAGE_STRING=\"Sendmail\ 8.12.11\" -DPACKAGE_BUGREPORT=\"bug/reportbug\ or\ sendmail@packages.debian.org\" -DPACKAGE=\"sendmail\" -DVERSION=\"8.12.11\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_REGEX_H=1 -DHAVE_DB_H=1 -DHAVE_DB_185_H=1 -DHAVE_RPCSVC_YPCLNT_H=1 -DHAVE_RPCSVC_NIS_H=1 -DHAVE_LDAP_H=1 -DHAVE_RESOLV_H=1 -DHAVE_TCPD_H=1 -DHAVE_NETINET_IP6_H=1 -DHAVE_GETADDRINFO=1 -DHAVE_MAILLOCK_H=1 -DHAVE_SASL_SASL_H=1 -DHAVE_OPENSSL_SSL_H=1 
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /local/home/src/sendmail/sendmail-8.12.11/debian/build/missing --run makeinfo
OBJEXT = o
PACKAGE = sendmail
PACKAGE_BUGREPORT = bug/reportbug or sendmail@packages.debian.org
PACKAGE_NAME = Sendmail
PACKAGE_STRING = Sendmail 8.12.11
PACKAGE_TARNAME = sendmail
PACKAGE_VERSION = 8.12.11
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
SM_CPYRT = 2003
SM_DATE = 2003-12-17 10:00:00
SM_ENABLE_AUTH_FALSE = #
SM_ENABLE_AUTH_TRUE = 
SM_ENABLE_LDAP_FALSE = #
SM_ENABLE_LDAP_TRUE = 
SM_ENABLE_TLS_FALSE = #
SM_ENABLE_TLS_TRUE = 
SM_MAXVERS = 9.0.0
SM_MINVERS = 8.7.6
SM_VERS = 8.12.11
STRIP = 
VERSION = 8.12.11
ac_ct_CC = 
ac_ct_STRIP = 
ac_version = 2.59
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am_version = 1.8
bindir = /usr/bin
build = i386-pc-linux-gnu
build_alias = i386-linux
build_cpu = i386
build_os = linux-gnu
build_vendor = pc
buildtree = build-tree/sendmail-8.12.11
datadir = /usr/share
docdir = /usr/share/doc
exec_prefix = /usr
host = i386-pc-linux-gnu
host_alias = i386-linux
host_cpu = i386
host_os = linux-gnu
host_vendor = pc
includedir = /usr/include
infodir = /usr/share/info
install_sh = /local/home/src/sendmail/sendmail-8.12.11/debian/build/install-sh
libdir = /usr/lib
libexecdir = /usr/lib/sm.bin
localstatedir = /var
mandir = /usr/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = /usr/sbin
sharedstatedir = /usr/com
sm_auth_lib = 2
sm_badepends = , libdb4.2-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
sm_build_arch = i386
sm_databases = REGEX, DB, NIS, NIS+, LDAP, DNS
sm_date = 2004-04-22
sm_depends = , ${misc:Depends}
sm_dist_name = Debian
sm_dist_vers = testing/unstable
sm_editmap_envdef = 
sm_editmap_libs =  -ldb-4.2 -lldap -llber
sm_enable_auth = yes
sm_enable_bind = no
sm_enable_dev = yes
sm_enable_doc = yes
sm_enable_hesiod = no
sm_enable_ipv6 = yes
sm_enable_ldap = yes
sm_enable_maillock = yes
sm_enable_milter = yes
sm_enable_ndbm = no
sm_enable_newdb = yes
sm_enable_nis = yes
sm_enable_nisplus = yes
sm_enable_regex = yes
sm_enable_sfio = no
sm_enable_shm = yes
sm_enable_tcpd = yes
sm_enable_tls = yes
sm_envdef =  -DHASFCHMOD=1 -DHASSETRLIMIT=1 -DHASFLOCK=0 -DUSESETEUID=1 -DHASGETUSERSHELL=1 -DSM_CONF_SETITIMER=0 -DNETINET6
sm_features = TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL)
sm_ffr =  -D_FFR_QUEUE_SCHED_DBG -D_FFR_MAX_FORWARD_ENTRIES=1 -D_FFR_QUEUEDELAY=1 -D_FFR_CONTROL_MSTAT -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_NO_PIPE -D_FFR_QUARANTINE -D_FFR_DEAL_WITH_ERROR_SSL -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1
sm_hesiod_parms = 
sm_host_arch = i386
sm_incdirs =  
sm_ldap_lib = -lldap -llber
sm_libmilter_envdef = -fPIC -D_FFR_MULTILINE -D_FFR_MILTER_ROOT_UNSAFE -D_FFR_SMFI_PROGRESS
sm_libmilter_libs = 
sm_libs = 
sm_libsm_envdef = -fPIC -DHAVE_NANOSLEEP=1 -DSM_HEAP_CHECK=1 -D_LDAP_EXAMPLE_ -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION -DSM_CONF_LDAP_MEMFREE
sm_libsm_libs =  -lldap -llber
sm_libsmdb_envdef = 
sm_libsmdb_libs = 
sm_libsmutil_envdef = -fPIC
sm_libsmutil_libs = 
sm_m4_ffr =  define(`_FFR_MAIL_MACRO')
sm_mail_local_envdef =  -DCONTENTLENGTH -DMAILLOCK
sm_mail_local_libs =  -lldap -llber -llockfile
sm_mailstats_envdef =  -D_FFR_QUARANTINE
sm_mailstats_libs =  -lldap -llber
sm_makemap_envdef = 
sm_makemap_libs =  -ldb-4.2 -lldap -llber
sm_mapdef =  -DMAP_REGEX -DNEWDB -DNIS -DNISPLUS -DLDAPMAP
sm_newdb_lib = -ldb-4.2
sm_praliases_envdef = 
sm_praliases_libs =  -ldb-4.2 -lldap -llber
sm_recommends = 
sm_revision = -5
sm_rmail_envdef = 
sm_rmail_libs =  -lldap -llber
sm_sendmail_envdef =  -D_PATH_SENDMAILPID=\"/var/run/sendmail/mta/sendmail.pid\" -DIP_SRCROUTE=1 -DMILTER -DLDAP_REFERRALS -D_FFR_LDAP_URI -D_FFR_LDAP_SETVERSION  -DTCPWRAPPERS -DSASL -I/usr/include/sasl -DSTARTTLS  -D_FFR_QUEUE_SCHED_DBG -D_FFR_MAX_FORWARD_ENTRIES=1 -D_FFR_QUEUEDELAY=1 -D_FFR_CONTROL_MSTAT -D_FFR_GROUPREADABLEAUTHINFOFILE -D_FFR_DAEMON_NETUNIX -D_FFR_SHM_STATUS -D_FFR_RHS -D_FFR_MAIL_MACRO -D_FFR_NO_PIPE -D_FFR_QUARANTINE -D_FFR_DEAL_WITH_ERROR_SSL -D_FFR_RESET_MACRO_GLOBALS -D_FFR_TLS_1
sm_sendmail_libs =  -ldb-4.2 -lnsl -lldap -llber -lresolv -lwrap -lsasl2 -lcrypto -lssl
sm_smrsh_envdef =  -DCMDDIR=\"/etc/mail/smrsh\" -DPATH=\"/usr/bin:/bin\"
sm_smrsh_libs =  -lldap -llber
sm_suggests = , logrotate, sasl2-bin, libsasl2-modules | libsasl2-modules-plain | libsasl2-digestmd5-plain | libsasl2-digestmd5-des, openssl
sm_time = 15:39:33
sm_utc = -0400
sm_vacation_envdef =  -D_FFR_RETURN_ADDR
sm_vacation_libs =  -ldb-4.2 -lldap -llber
sm_version = 8.12.11
sm_version_beta = 
sm_version_major = 8.12
sm_version_math = 527371
sm_version_minor = 11
sm_version_r = 12
sm_version_v = 8
sysconfdir = /etc
target = i386-pc-linux-gnu
target_alias = 
target_cpu = i386
target_os = linux-gnu
target_vendor = pc
#
# Shipped manpages
#
dist_man_MANS = sensible-mda.8
#
# Program sources
#
sensible_mda_SOURCES = sensible-mda.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  sensible_mda/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  sensible_mda/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
sensible-mda.c: $(top_builddir)/config.status $(srcdir)/sensible-mda.c.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(sbindir)" || $(mkdir_p) "$(DESTDIR)$(sbindir)"
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(sbindir)/$$f"; \
	done

clean-sbinPROGRAMS:
	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)

=== debian/changelog ===
sendmail (8.12.11.Final-5) unstable; urgency=low

  * upstream patch to prevent sleeps on bad commands
  * Make sure directories are at least u+w
  * Change shutdown level to 19 (from 20), so sendmail stops before
    any of its milters (matching bump to 21 for startup level)
  * add --name sendmail to stop/signal commands
  * Remove bashisms in update_auth                        closes: #243124
  * Sigh... rmail can't (for the nonce) depend on uucp    closes: #242132

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 20 Apr 2004 10:00:00 -0500 

sendmail (8.12.11.Final-4) unstable; urgency=high

  * Depend, not suggest rmail                             closes: #232664
    and                                                   closes: #229871
  * Build-Depend on groff-base | groff
  * add _LDAP_EXAMPLE_ for mailboxdatabase+ldap lookup
  * Change invocation from 20 to 21 to get milters started before
    sendmail
  * Correct sendmailconfig handling of NONE               closes: #215725
  * Correct missing sendmailconfig continuations          closes: #240317
  * Update logcheck regexp                                closes: #241134

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 02 Apr 2004 10:00:00 -0500

sendmail (8.12.11.Final-3) unstable; urgency=high

  * cut&paste error in rules :(                            closes: #235165

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 21 Feb 2004 14:00:00 -0500

sendmail (8.12.11.Final-2) unstable; urgency=high

  * Upstream patch to correct some missing TLS logging
  * The 'dazed and confused' release
    -- obtain a level of 2.6 that works (attr fsckup) - no build
    -- still gotta figure a way to nuke the damned selinux attrs :(
    -- pick a timezone, any timezone (cst might be nice, I'm starting
       to dislike EST vs PST; especially when switching every other week
    -- remember to head back to the hotel now and again (all work...)
    -- hopefully obtain a working build env, musical TP T30s isn't fun
  * build with db4.2
  * refresh faq
  * FTBFS due to stupid version naming convention          closes: #228510
    also corrects these...  closes: #228919, #232985, #233247
  * Upstream changed the mime munging                      closes: #199114

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 09 Feb 2004 19:30:00 -0800

sendmail (8.12.11.Final-1) unstable; urgency=low

  * ack... funky name due to use of 11.Beta -- not a good plan :(
  * Add new queue patch by our own Stephen Frost for further testing
    - looks good!
  * Add empty /etc/logrotate.d/sendmail - DO *NOT* use this file
    if you're using syslog (syslog-ng may work, dunno)      closes: #227829

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 18 Jan 2004 19:30:00 -0800

sendmail (8.12.11-0) private; urgency=low

  * New upstream
  * refit patches
  * update autotools guess/sub

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 18 Jan 2004 01:30:00 -0500

sendmail (8.12.11.Beta0-2) unstable; urgency=low

  * sensible-mda conflicts with sendmail < 8.12.10-6
  * correct build system failure when CDPATH is set
  * make *.dirs files relative for dh_installdirs
  * refresh faq

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 08 Jan 2004 11:00:00 -0000

sendmail (8.12.11.Beta0-1) unstable; urgency=low

  * add -D_FFR_DEAL_WITH_ERROR_SSL to work around
    poorly documented SSL error cases causing some people
    looping and/or log problems
  * Sigh... depend upon sensible-mda (for the nonce)        closes: #225508
                                                            closes: #226028

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 05 Jan 2004 14:00:00 -0000

sendmail (8.12.11.Beta0-0) private; urgency=low

  * New upstream beta
  * refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 15 Dec 2003 18:30:00 -0000

sendmail (8.12.10-6) unstable; urgency=high

  * move sensible-mda to its own package
  * update sasl2 suggests so that the autobuilder scripts don't complain
  * rmail needs to conflict with other MTAs that            closes: #220376
    provide rmail (versioned where available)

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Wed, 02 Nov 2003 12:00:00 -0000

sendmail (8.12.10-5) unstable; urgency=high

  * fix sensible-mda on newer libc (errno)                  closes: #218694
  * Remove '9' from LOCAL_MAILER_FLAGS and LOCAL_SHELL_FLAGS
    as it doesn't respect charset= !                        fixes:  #199114
  * move rmail to its own package                           closes: #212532
  * provide libmilter objects compiled with -fPIC           closes: #214731
  * Remove code changing syslog{,-ng} configuration         closes: #197782
  * remove auto_transition from sample Sendmail.conf.2
    so that sasl really works (also hit /etc/mail/sasl/) :(
  * add more info to update_notices about sasl/charset
  * refresh FAQ

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 03 Nov 2003 12:00:00 -0000

sendmail (8.12.10-4) unstable; urgency=low

  * Oops, fix sasl.m4.in (so sasl.m4 is *really* fixed)

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 22 Sep 2003 15:00:00 -0000

sendmail (8.12.10-3) unstable; urgency=low

  * /etc/init.d/sendmail status didn't work with queue daemon
  * Check {QUEUE,MSP}_INTERVAL for 0 when updating crontab  closes: #212178
  * Correct case of cron/inet checks in update_conf         closes: #211831

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 22 Sep 2003 15:00:00 -0000

sendmail (8.12.10-2) unstable; urgency=high

  * Mea Culpa -- FTBFS
    Make autotools scripts executable (Matt Kraai)          closes: #211615
    typo on directory name (Matt Kraai)                     closes: #211671
  * Fix sasl.m4 (extraneous quote) (Ralf Doeblitz)          closes: #211653

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 19 Sep 2003 09:00:00 -0000

sendmail (8.12.10-1) unstable; urgency=high

  * New upstream addressing vulnerabilities


=== debian/control ===
Source: sendmail
Priority: extra
Section:  mail
Maintainer: Richard A Nelson (Rick) <cowboy@debian.org>
Standards-Version: 3.6.10.0
Build-Depends-Indep: groff-base | groff, bsdmainutils
Build-Depends: m4, patch, debhelper (>= 1.1.17), libdb4.2-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
Build-Conflicts: libbind-dev, bind-dev

Package: sendmail
Architecture: any
Section: mail
Replaces: mail-transport-agent, sendmail-tls
Provides: mail-transport-agent
Conflicts: mail-transport-agent
Depends: adduser, m4, sensible-mda, rmail, ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Recommends: 
Suggests: sendmail-doc (>= ${Source-Version}), make, logcheck , logrotate, sasl2-bin, libsasl2-modules | libsasl2-modules-plain | libsasl2-digestmd5-plain | libsasl2-digestmd5-des, openssl
Description: A powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for Debian.
 It is suitable for handling sophisticated mail configurations,
 although this means that its configuration can also be complex.
 .
 Fortunately, simple thing can be done easily, and complex things
 are possible, even if not easily understood ;)  Sendmail is the *ONLY*
 MTA with a Turing complete language to control *ALL* aspects of delivery!
 .
 Sendmail provides Security and SPAM/UCE/UBE protection via several means.
 .
 Sendmail includes *no* Mail User Agents (MUA), you'll have to
 pick from the plethora of available MUAs (mutt, vm, etc.)
 .
 This package supports REGEX, DB, NIS, NIS+, LDAP, DNS maps,
 and has enabled TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL).

Package: rmail
Architecture: any
Section: mail
Conflicts: sendmail (<< 8.12.10-5), postfix, exim, exim-tls, exim4-daemon-custom, exim4-daemon-heavy, exim4-daemon-light, courier-mta, smail, zmailer
Depends: mail-transport-agent
Description: UUCP remote mail handler
 Rmail handles mail received via uucp and passes it to the local
 sendmail (or workalike).
 .
 This version comes from the sendmail source package and the only
 change is the call to sendmail (from -obq to -obi).

Package: sensible-mda
Architecture: any
Section: mail
Conflicts: sendmail (<< 8.12.10-6)
Depends: mail-transport-agent, procmail | maildrop | deliver
Description: Mail Delivery Agent wrapper
 Sensible-mda is a Debian addition in the sendmail package and has been
 split out in hopes that it might be useful for other MTA packages.
 .
 Sensible-mda is called by the MTA, and will in turn call whichever of
 the following MDAs that it finds (in this order):
 procmail, maildrop, deliver, mail.local

Package: libmilter-dev
Architecture: any
Section: libdevel
Suggests: sendmail-doc (>= ${Source-Version})
Description: Sendmail Mail Filter API (Milter)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information(headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This is the libmilter static library and include files for development.
 .
 The documentation on building a Milter is in the sendmail-doc package.

Package: sendmail-doc
Architecture: all
Section: doc
Description: A powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 Don't try anything fancy in sendmail without using this for guidance.
 .
 Because of the complexity, you may find yourself wanting to peruse
 the documentation files included herein.  The main files are:
   1) cf.README.gz    -- A reference for all things in sendmail.{mc,cf}
   2) op.{ps,txt}.gz  -- The care and feeding of Sendmail.
   3) faq.txt.gz      -- Sendmail FAQ, current as of the package date.
 .
 Other files include the references for smrsh and libmilter.

=== debian/rules ===
#!/usr/bin/make -f
#------------------------------------------------------------------------------
# vim: syntax=make
#
# $Sendmail: rules,v 8.12.10 2003-07-13 21:46:03 cowboy Exp $
#
# Copyright (c) 1998-2003 Richard Nelson.  All Rights Reserved.
#
# ./rules.	Generated from rules.in by configure.
#
# Rules file for Sendmail 8.12.10-6(527370)
#			 on  Debian testing/unstable
#			 via Debhelper V4.1
#
# Note: the .in file supports Sendmail 8.7.6 - 8.12.10
#		on Debian slink, potato, woody, testing, sid, ...
#		but the generated file is customized to the version noted above.
#
# The only thing to watch for is to make sure the changelog correctly
# reflects the appropriate version and distribution!
#
# To support private builds:
#	1) use the environment variables (defaults shown first):
#			CC=gcc|gcc-3.0..........-- choose compiler
#			CFLAGS='-O2 -Wall [-g]'.-- choose compile options
#			DEFINES=''..............-- additional -Dxxx
#			SM_CONF_OPT=''..........-- additional configure options
#			SM_BUILD_OPT=''.........-- additional build options
#	2) Build the package using your normal setup:
#		A) [fakeroot] debian/rules binary
#		B) debuild -rfakeroot
#		C) dpkg-buildpackage -rfakeroot -uc -us
#
# DEB_BUILD_OPTIONS (global Debian package build options)
#	Debian specific, and common across package options
#		noopt	- Do *NOT* compile with optimization (force -O0)
#		nostrip - Do *NOT* strip binaries (for debugging)
#		
#
# SM_CONF_OPT
#	Additional configure options and/or overrides may be specified thusly:
#		1) export SM_CONF_OPT='--enable-shm=no'
#		   dpkg-buildpackage -rfakeroot -uc -us
#		2) SM_CONF_OPT='--enable-shm=no' dpkg-buildpackage
#		3) debuild -e SM_CONF_OPT='--enable-shm=no'
#		etc...
#
# SM_BUILD_OPT
#	1) export SM_BUILD_OPT='notls'
#	   dpkg-buildpackage -rfakeroot -uc -us
#	2) SM_BUILD_OPT='notls' dpkg-buildpackage -rfakeroot -uc -us
#	3) debuild -e SM_BUILD_OPT='notls' -e CLFAGS='-O3 Wall'
#	etc...
#
#	Supported options values for SM_BUILD_OPT:
#		notls		Disable STARTTLS (OpenSSL) support
#		noauth		Disable SMTP AUTH (sasl) support
#		nodev		Disable generation of libmilter-dev package
#		nodoc		Disable generation of sendmail-doc package
#
# This make file uses scripts from the DBS (0.8) package!
#
# Richard Nelson <cowboy@debian.org> 2003-07-13 21:46:03 (-0700)
#------------------------------------------------------------------------------
#SHELL := /bin/sh -x

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use. (we'll set it later)
#export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Support separate debian directory
ifeq (yes, $(shell test -d debian && echo 'yes'))
	debian_dir := ./debian
	pwd_dir := ${PWD}
else
	debian_dir := .
	pwd_dir := ${PWD}/..
	SM_CONF_OPT += --enable-maintainer-mode
	endif

# Determine build,host architectures (via dpkg-architecture)
ifeq (, ${DEB_BUILD_ARCH})
	ifeq (yes, $(shell test -x /usr/bin/dpkg-architecture && echo 'yes'))
		include ${debian_dir}/scripts/dpkg-arch.mk
		endif
	endif

# Check for cross-compilation
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	ifneq (, $(DEB_BUILD_GNU_TYPE))
		endif
	endif

# will want path info for some things... Like patches/changelogs...
pwd_string := $(shell expr "${pwd_dir}" : '.*-\([0-9.].*\)')
ifeq (, $(findstring +,${pwd_string}))
	pwd_version := ${pwd_string}
else
	pwd_version := $(shell expr "${pwd_string}" : '.*+\([0-9.].*\)')
	endif
ifneq (, $(findstring Final,${pwd_version}))
	pwd_version := $(shell expr "${pwd_version}" : '\(.*\)\.Final')
	endif
pwd_major  := $(shell expr "${pwd_version}" : '\([0-9]*\.[0-9]*\)')

# get package/version information from the changelog
package		   := $(shell (cd ${debian_dir}/.. >/dev/null && \
		dpkg-parsechangelog 2>/dev/null) | awk '/^Source:/ {print $$2}')
version_string := $(shell (cd ${debian_dir}/.. >/dev/null && \
		dpkg-parsechangelog 2>/dev/null) | awk '/^Version:/ {print $$2}')
version_full   := $(shell expr "${version_string}" : '\([^-]*\)')
ifneq (, $(findstring Final,${version_full}))
	version_full	:= $(shell expr "${version_full}" : '\(.*\)\.Final')
	endif
version_debian := $(shell expr "${version_string}" : '[^-]*\(-.*\)')
version		   := ${version_full}
version_major  := $(shell expr "${version_full}" : '\([0-9]*\.[0-9]*\)')
version_minor  := $(shell expr "${version_full}" : '[0-9]*\.[0-9]*\.\(.*\)')
ifneq (, $(findstring +,${version_minor}))
	beta_version := $(shell expr "${version_full}" : '.*+\([0-9.].*\)')
	beta_major := $(shell expr "${beta_version}" : '\([0-9]*\.[0-9]*\)')
	beta_minor := $(shell expr "${beta_version}" : '[0-9]*\.[0-9]*\.\(.*\)')
	ifneq (, $(beta_version))
		version		   := ${beta_version}
		version_major  := ${beta_major}
		version_minor  := ${beta_minor}
		endif
	endif

# Many things depend upon which release (slink, potato, woody, etc.)
PKG_DIR  := ${debian_dir}/${package}
DATA_DIR := /usr/share
ifeq (v4, $(shell (cd ${debian_dir}/.. >/dev/null && dh_testversion 4.0.0 2>/dev/null && echo 'v4')))
	DH_COMPAT := 4
else
	ifeq (v3, $(shell (cd ${debian_dir}/.. >/dev/null && dh_testversion 3.0.0 2>/dev/null && echo 'v3')))
		DH_COMPAT := 3
	else
		ifeq (v2, $(shell (cd ${debian_dir}/.. >/dev/null && dh_testversion 2.0.40 2>/dev/null && echo 'v2')))
			DH_COMPAT := 2
		else
			DH_COMPAT := 1
			PKG_DIR   := ${debian_dir}/tmp
			DATA_DIR  := /usr
			endif
		endif
	endif
export DH_COMPAT

# the dbs rules
TAR_DIR := ${package}-${version}
# Handle the case where the changelog is newer that what we're building
ifneq (yes, $(shell test -e ${debian_dir}/../${TAR_DIR}.tar.gz && echo 'yes'))
	TAR_DIR := ${package}-${pwd_version}
	endif
SOURCE_DIR := build-tree
BUILD_TREE := ${SOURCE_DIR}/${TAR_DIR}
PATCH_DIR  := ${debian_dir}/patches/${version_major}/${version}
SCRIPT_DIR := ${debian_dir}/scripts
STAMP_DIR  := ${debian_dir}/build/stampdir

# Include Debian Autoconf settings
ifeq (yes, $(shell test -e ${debian_dir}/build/autoconf.mk && echo 'yes'))
	include ${debian_dir}/build/autoconf.mk
else
	include ${debian_dir}/build/autoconf.mk.in
	endif

# these are strictly for my own consuption
PKG_DOC		 := ${debian_dir}/${package}-doc${docdir}/${package}-doc
PACKAGES	 := sendmail sendmail-doc libmilter-dev
SM_SUBDIRS	 := editmap libmilter mail.local mailstats \
		makemap praliases rmail sendmail smrsh vacation
#
# We want delayed interpretation of the options !
ifeq (yes, $(shell test -x /usr/bin/debuild && echo 'yes'))
	DEB_BUILD = \
		SM_CONF_OPT="${SM_CONF_OPT}" \
		SM_BUILD_OPT="${SM_BUILD_OPT}" \
		DEB_BUILD_OPTIONS="${DEB_BUILD_OPTIONS}" \
		debuild -e SM_CONF_OPT -e SM_BUILD_OPT
else
	DEB_BUILD = \
		SM_CONF_OPT="${SM_CONF_OPT}" \
		SM_BUILD_OPT="${SM_BUILD_OPT}" \
		DEB_BUILD_OPTIONS="${DEB_BUILD_OPTIONS}" \
		dpkg-buildpackage
	endif

# Process build-time options:
#	1) options from SM_BUILD_OPT (Prior to configure)
#	2) defaults (Prior to configure)
ENABLE_INDEP := yes
ENABLE_ARCH  := yes
ENABLE_LIB	 := no
ENABLE_BIN	 := yes
ifneq (, $(findstring notls,${SM_BUILD_OPT}))
	ENABLE_TLS := no
else
	ENABLE_TLS := auto
	endif
ifneq (, $(findstring noauth,${SM_BUILD_OPT}))
	ENABLE_AUTH := no
else	
	ENABLE_AUTH := yes
	endif
ifneq (, $(findstring nodev,${SM_BUILD_OPT}))
	ENABLE_DEV := no
else
	ENABLE_DEV := yes
	endif
ifneq (, $(findstring nodoc,${SM_BUILD_OPT}))
	ENABLE_DOC := no
else
	ENABLE_DOC := yes
	endif
#
# Summarize above options into -INDEP and -ARCH for this Makefile
ENABLE_INDEP := ${ENABLE_DOC}
ifeq (no, ${ENABLE_BIN})
	ifeq (no, ${ENABLE_LIB})
		ifeq (no, ${ENABLE_DEV})
			ENABLE_ARCH := no
			endif
		endif
	endif

all:
	@echo 'Please specify a real target in the future...';
	$(MAKE) -f ${debian_dir}/rules \
		version_string=${pwd_string} \
		SM_CONF_OPT="${SM_CONF_OPT}" SM_BUILD_OPT="${SM_BUILD_OPT}" \
		DEB_BUILD_OPTIONS="${DEB_BUILD_OPTIONS}" \
		binary;
	

#------------------------------------------------------------------------------
